      subroutine makelhapdfsilent
      CHARACTER*20 LHAPARM(20)
      REAL*8 LHAVALUE(20)
      INTEGER lhasilent
      COMMON/LHACONTROL/LHAPARM,LHAVALUE
      common/lhasilent/lhasilent

      LHAPARM(19)='SILENT'
      call setlhaparm('SILENT')
      lhasilent=1
      end

      function lhapdfqcdlam (set,mem)
      real*8 lhapdfqcdlam
      integer set,mem
#ifdef LHAPDF
      call GetLam5(mem,lhapdf_qcdlam)
#endif
      return
      end

      function lhapdfqcdorder ()
      integer lhapdfqcdorder
#ifdef LHAPDF
      call GetOrderAs(lhapdfqcdorder)
#endif
      return
      end

      function lhapdfalphas (Q)
      real*8 lhapdfalphas
#ifdef LHAPDF
      lhapdfalphas = alphasPDF(Q)
#endif
      return
      end
